
(function ($) {

  $(document).ready(function(){

    $('.available-options-btn button[scrollto^="#"]').on('click', function(event) {

        var target = $( $(this).attr('scrollto') );

        if( target.length ) {
            event.preventDefault();
            $('html, body').animate({
                scrollTop: target.offset().top-20
            }, 500);
        }

    });


    $('table.variant')
    .on('click', 'th', function () {
      var index = $(this).index(),
          rows = [],
          thClass = $(this).hasClass('asc') ? 'dsc active' : 'asc active';
          
      $('.variant th').not('.image_link, .quantity, .action, .check_all').addClass('asc').removeClass('active dsc');
      $(this).removeClass('active asc dsc');
      $(this).not('.image_link, .quantity, .action, .check_all').addClass(thClass);

      $('.variant tbody tr').each(function (index, row) {
        rows.push($(row).detach());
      });

      rows.sort(function (a, b) {
        var aValue = $(a).find('td').eq(index).text(),
            bValue = $(b).find('td').eq(index).text();

        return aValue > bValue
             ? 1
             : aValue < bValue
             ? -1
             : 0;
      });

      if ($(this).hasClass('dsc')) {
        rows.reverse();
      }

      $.each(rows, function (index, row) {
        $('.variant tbody').append(row);
      });
    });

  });

}(jQuery));
